# Method: accounts.products.list

- [HTTP request](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.products/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.products/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.products/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.products/list#body.request_body)
- [Response body](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.products/list#body.response_body)
  - [JSON representation](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.products/list#body.ListProductsResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.products/list#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.products/list#try-it)

List all products visible to the buyer (optionally filtered by the specified PQL query).

### HTTP request

`GET https://adexchangebuyer.googleapis.com/v2beta1/accounts/{accountId}/products`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `accountId` | `string` Account ID of the buyer. |

### Query parameters

| Parameters ||
|---|---|
| `filter` | `string` An optional PQL query used to query for products. See <https://developers.google.com/ad-manager/docs/pqlreference> for documentation about PQL and examples. Nested repeated fields, such as product.targetingCriterion.inclusions, cannot be filtered. |
| `pageSize` | `integer` Requested page size. The server may return fewer results than requested. If unspecified, the server will pick an appropriate default. |
| `pageToken` | `string` The page token as returned from ListProductsResponse. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response message for listing products visible to the buyer.

| JSON representation ||
|---|---|
| ``` { "products": [ { object (`https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.products#Product`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `products[]` | ``object (`https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.products#Product`)`` The list of matching products at their head revision number. |
| `nextPageToken` | `string` List pagination support. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adexchange.buyer`